Summary: X Terminal Emulator
Name: Terminal
Version: 0.2.8
Release: 3%{?dist}
License: GPLv2+
URL: http://terminal.os-cillation.com/
Source0: http://www.xfce.org/archive/xfce-4.4.2/src/Terminal-0.2.8.tar.bz2
Group: User Interface/X
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: vte-devel
BuildRequires: exo-devel >= 0.3.2
BuildRequires: libSM-devel
BuildRequires: gettext
BuildRequires: startup-notification-devel
BuildRequires: dbus-glib-devel

%description
Terminal is a lightweight and easy to use terminal emulator application
for the X windowing system, with some new ideas and features that make 
it unique among X terminal emulators. 

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog NEWS COPYING AUTHORS HACKING THANKS
%{_bindir}/Terminal
%{_bindir}/terminal
%{_datadir}/Terminal/
%{_datadir}/doc/Terminal/
%{_datadir}/icons/hicolor/48x48/apps/Terminal.png
%{_datadir}/icons/hicolor/scalable/apps/Terminal.svg
%{_datadir}/icons/hicolor/*/stock/navigation/*.png
%{_datadir}/pixmaps/terminal.xpm
%{_datadir}/Terminal/Terminal-toolbars.ui
%{_datadir}/applications/Terminal.desktop
%{_mandir}/man1/Terminal.1.gz
%{_libexecdir}/TerminalHelp

%changelog
* Sun Feb 10 2008 Kevin Fenzi <kevin@tummy.com> - 0.2.8-3
- Rebuild for gcc43

* Mon Dec  3 2007 Kevin Fenzi <kevin@tummy.com> - 0.2.8-2
- Remove no longer shipped .ui file. 

* Sun Dec  2 2007 Kevin Fenzi <kevin@tummy.com> - 0.2.8-1
- Update to 0.2.8
- Drop unneeded patch. 

* Tue Aug 14 2007 Kevin Fenzi <kevin@tummy.com> - 0.2.6-3
- Add patch for CVE-2007-3770. 
- Update License tag

* Sat Mar 24 2007 Kevin Fenzi <kevin@tummy.com> - 0.2.6-2
- Fix unowned directories (#233787)

* Sun Jan 21 2007 Kevin Fenzi <kevin@tummy.com> - 0.2.6-1
- Upgrade to 0.2.6

* Thu Nov 16 2006 Kevin Fenzi <kevin@tummy.com> - 0.2.5.8-0.2.rc2
- Add startup-notification-devel and dbus-glib-devel to BuildRequires

* Fri Nov 10 2006 Kevin Fenzi <kevin@tummy.com> - 0.2.5.8-0.1.rc2
- Update to 0.2.5.8rc2

* Thu Oct  5 2006 Kevin Fenzi <kevin@tummy.com> - 0.2.5.6-0.4.rc1
- Added gtk-update-icon-cache to post/postun

* Wed Oct  4 2006 Kevin Fenzi <kevin@tummy.com> - 0.2.5.6-0.3.rc1
- Bump release for devel checkin

* Thu Sep  7 2006 Kevin Fenzi <kevin@tummy.com> - 0.2.5.6-0.2.rc1
- Bump release for xfce rc repo

* Sun Sep  3 2006 Kevin Fenzi <kevin@tummy.com> - 0.2.5.6-0.1.rc1
- Upgrade to 0.2.5.6-0.1.rc1

* Sun Aug 13 2006 Kevin Fenzi <kevin@tummy.com> - 0.2.5.4-0.2.beta2
- Bump release for 4.4 beta repo

* Wed Aug  2 2006 Kevin Fenzi <kevin@tummy.com> - 0.2.5.4-0.1.beta2
- Fix release

* Wed Jul 12 2006 Kevin Fenzi <kevin@tummy.com> - 0.2.5.4-0.beta2
- Update to 0.2.5.4-0.beta2

* Fri Jun 23 2006 Kevin Fenzi <kevin@tummy.com> - 0.2.5.1-0.beta1.fc6
- Update to 0.2.5.1-0.beta1

* Thu Feb 16 2006 Kevin Fenzi <kevin@tummy.com> - 0.2.4-6.fc5
- Rebuild for fc5

* Wed Aug 17 2005 Kevin Fenzi <kevin@tummy.com> - 0.2.4-5.fc5
- Rebuild for new libcairo and libpixman

* Thu Aug  4 2005 Kevin Fenzi <kevin@tummy.com> - 0.2.4-4.fc5
- Add dist tag

* Mon May 30 2005 Kevin Fenzi <kevin@tummy.com> - 0.2.4-3
- Removed incorrect Requires
- Changed the description text

* Fri May 27 2005 Kevin Fenzi <kevin@tummy.com> - 0.2.4-2
- Fix group to be User Interface/X

* Sat Mar 19 2005 Kevin Fenzi <kevin@tummy.com> - 0.2.4-1
- Upgraded to 0.2.4 version
- Added Terminal/apps desktops files. 

* Tue Mar  8 2005 Kevin Fenzi <kevin@tummy.com> - 0.2.2-2
- Fixed to use %%find_lang
- Removed generic INSTALL from %%doc
- Change description wording: "makes it" to "make it"
- Fixed to include terminal.css 

* Sun Mar  6 2005 Kevin Fenzi <kevin@tummy.com> - 0.2.2-1
- Inital Fedora Extras version
